#!/bin/bash
#
# install.sh
# 
# Copyright (C) 2006  Josef Kufner <jk@myserver.cz>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# 

set -e

source './install.conf'

# build GUI
(
	cd ./gui
	./configure
	make
)

# buld games
(
	cd ./game.src/piskvorky
	make
)

# build network
(
	cd network/jabber/
	make
)

# install
install -v -o root -g root -d "$PREFIX/lib/netboard/games" "$PREFIX/lib/netboard/network" "$PREFIX/lib/netboard/data"

install -v -m 0755 -g root -o root -s ./gui/src/netboard "$PREFIX/bin/"
install -v -m 0755 -g root -o root -s ./game.src/piskvorky/piskvorky "$PREFIX/lib/netboard/games/piskvorky"
install -v -m 0755 -g root -o root -s ./network/jabber/jabber "$PREFIX/lib/netboard/network/jabber"

echo ./data '->' "$PREFIX/lib/netboard/data"
cp -r ./data "$PREFIX/lib/netboard"
chown root:root -R "$PREFIX/lib/netboard/data"
chmod 755 -R "$PREFIX/lib/netboard/data"
find "$PREFIX/lib/netboard/data" -type f -print0 | xargs -0 chmod 644

